Skip to main content
POST
/
v3
/
compendium
/
search
Search Compendium
curl --request POST \
  --url https://api.tryvital.io/v3/compendium/search \
  --header 'Content-Type: application/json' \
  --header 'x-vital-api-key: <api-key>' \
  --data '
{
  "mode": "canonical",
  "query": "<string>",
  "loinc_set_hash": "<string>",
  "labs": [
    "labcorp"
  ],
  "include_related": true,
  "limit": 3
}
'
{
  "mode": "canonical",
  "selected_canonical": {
    "loinc_set_hash": "<string>",
    "display_name": "<string>",
    "popularity_score": 123,
    "confidence": 123,
    "aliases": [
      "<string>"
    ],
    "loinc_codes": [
      "<string>"
    ],
    "provider_ids": [
      "<string>"
    ],
    "loinc_components": [
      "<string>"
    ],
    "loinc_groups": [
      "<string>"
    ]
  },
  "canonical_candidates": [
    {
      "loinc_set_hash": "<string>",
      "display_name": "<string>",
      "popularity_score": 123,
      "confidence": 123,
      "aliases": [
        "<string>"
      ],
      "loinc_codes": [
        "<string>"
      ],
      "provider_ids": [
        "<string>"
      ],
      "loinc_components": [
        "<string>"
      ],
      "loinc_groups": [
        "<string>"
      ]
    }
  ],
  "per_lab": {},
  "related": [
    {
      "canonical": {
        "loinc_set_hash": "<string>",
        "display_name": "<string>",
        "popularity_score": 123,
        "confidence": 123,
        "aliases": [
          "<string>"
        ],
        "loinc_codes": [
          "<string>"
        ],
        "provider_ids": [
          "<string>"
        ],
        "loinc_components": [
          "<string>"
        ],
        "loinc_groups": [
          "<string>"
        ]
      },
      "relation": "<string>",
      "confidence": 123,
      "reason_codes": [
        "<string>"
      ]
    }
  ]
}

This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Query Parameters

team_id
default:infer_from_context

Body

application/json
mode
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
canonical,
crosswalk
query
string | null
loinc_set_hash
string | null
labs
enum<string>[] | null

ℹ️ This enum is non-exhaustive.

Available options:
labcorp,
quest,
bioreference,
sonora_quest
limit
integer
default:3

Response

Successful Response

mode
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
canonical,
crosswalk
selected_canonical
CanonicalCandidate · object
canonical_candidates
CanonicalCandidate · object[]
per_lab
Per Lab · object